apply plugin: 'com.android.application'

android {
    compileSdkVersion 30
    buildToolsVersion "30.0.1"
    ndkVersion '21.3.6528147'
    defaultConfig {
        applicationId "com.example.fingerprint_tlk1_uart_demo"
        minSdkVersion 26
        targetSdkVersion 29
        versionCode 1
        versionName "1.3"
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
        // 自定义apk名称
        android.applicationVariants.all { variant ->
            variant.outputs.all {
                outputFileName = "fingerprint-tlk1-uart-demo_v${defaultConfig.versionName}.apk"
            }
        }
    }
}

dependencies {
    //implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation fileTree(include: ['*.*'], dir: 'libs')
    implementation 'androidx.appcompat:appcompat:1.2.0'
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
    implementation 'androidx.legacy:legacy-support-v4:1.0.0'
    implementation('com.github.gzu-liyujiang.AndroidPicker:FilePicker:1.5.6.20181018') {
        exclude group: 'com.android.support'
    }

}
